y = zeros (1,1024);
y1 = zeros(1,2048);
y1 = dlmread('sig1.txt',',');
count = 1;
for i = 1:1024
    y(1,i) = y1(1,2*i-1);
    count = count+1;
end
Fs = 50000;                  % Sampling frequency
T = 1/Fs;                     % Sample time
L = 1024;                     % Length of signal
t = (0:L-1)*T;                % Time vector

figure; plot(Fs*t(1:1024),y(1:1024))
title('Signal Corrupted with Zero-Mean Random Noise')
xlabel('time (milliseconds)')

NFFT = 2^nextpow2(L); % Next power of 2 from length of y
Y = fft(y,NFFT)/L;
f = Fs/2*linspace(0,1,NFFT/2+1);

% Plot single-sided amplitude spectrum.
figure; plot(f,2*abs(Y(1:NFFT/2+1))) 
title('Single-Sided Amplitude Spectrum of y(t)')
xlabel('Frequency (Hz)')
ylabel('|Y(f)|')